package com.willalp.device.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
import com.willalp.device.domain.HsDeviceRepairs;

/**
 * 设备报修流程记录Mapper接口
 *
 * @author willalp
 * @date 2023-04-21
 */
public interface HsDeviceRepairsMapper extends BaseMapper<HsDeviceRepairs>
{
    /**
     * 查询设备报修流程记录列表
     *
     * @param hsDeviceRepairs 设备报修流程记录
     * @return 设备报修流程记录集合
     */
    List<HsDeviceRepairs> selectHsDeviceRepairsList(HsDeviceRepairs hsDeviceRepairs);
}
