package com.willalp.device.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.device.domain.HsDeviceRepairs;

import java.util.List;

/**
 * 设备报修流程记录Service接口
 *
 * @author willalp
 * @date 2023-04-21
 */
public interface IHsDeviceRepairsService extends IService<HsDeviceRepairs>
{
    /**
     * 查询设备报修流程记录列表
     *
     * @param hsDeviceRepairs 设备报修流程记录
     * @return 设备报修流程记录集合
     */
    public List<HsDeviceRepairs> selectHsDeviceRepairsList(HsDeviceRepairs hsDeviceRepairs);
}
