package com.willalp.device.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.device.domain.HsDeviceScrapFlowRecord;

/**
 * 设备报废流程记录Service接口
 *
 * @author willalp
 * @date 2023-04-23
 */
public interface IHsDeviceScrapFlowRecordService extends IService<HsDeviceScrapFlowRecord>
{
    /**
     * 查询设备报废流程记录列表
     *
     * @param hsDeviceScrapFlowRecord 设备报废流程记录
     * @return 设备报废流程记录集合
     */
    public List<HsDeviceScrapFlowRecord> selectHsDeviceScrapFlowRecordList(HsDeviceScrapFlowRecord hsDeviceScrapFlowRecord);
}
