package com.willalp.event.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.event.domain.CondoleRecord;

import java.util.List;

/**
 * 慰问记录Mapper接口
 *
 * @author willalp
 * @date 2023-05-11
 */
public interface CondoleReordMapper extends BaseMapper<CondoleRecord>
{
    /**
     * 查询慰问记录列表
     *
     * @param condoleRecord 慰问记录
     * @return 慰问记录集合
     */
    List<CondoleRecord> selectCondoleReordList(CondoleRecord condoleRecord);
}
