package com.willalp.flow.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
import com.willalp.flow.domain.HsContractManage;

/**
 * 合同管理记录Mapper接口
 *
 * @author willalp
 * @date 2023-05-24
 */
public interface HsContractManageMapper extends BaseMapper<HsContractManage>
{
    /**
     * 查询合同管理记录列表
     *
     * @param hsContractManage 合同管理记录
     * @return 合同管理记录集合
     */
    List<HsContractManage> selectHsContractManageList(HsContractManage hsContractManage);
}
