package com.willalp.flow.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
import com.willalp.flow.domain.HsPurchaseFlowRecord;

/**
 * 采购流程记录Mapper接口
 *
 * @author willalp
 * @date 2023-04-23
 */
public interface HsPurchaseFlowRecordMapper extends BaseMapper<HsPurchaseFlowRecord>
{
    /**
     * 查询采购流程记录列表
     *
     * @param hsPurchaseFlowRecord 采购流程记录
     * @return 采购流程记录集合
     */
    List<HsPurchaseFlowRecord> selectHsPurchaseFlowRecordList(HsPurchaseFlowRecord hsPurchaseFlowRecord);
}
