package com.willalp.flow.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.willalp.flow.domain.HsUseSeal;

import java.util.List;

/**
 * 用章申请流程记录Mapper接口
 *
 * @author willalp
 * @date 2023-03-31
 */
public interface HsUseSealMapper extends BaseMapper<HsUseSeal>
{
    /**
     * 查询用章申请流程记录列表
     *
     * @param hsUseSeal 用章申请流程记录
     * @return 用章申请流程记录集合
     */
    public List<HsUseSeal> selectHsUseSealList(HsUseSeal hsUseSeal);

}
