package com.willalp.flow.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.flow.domain.HsLetterDispose;

/**
 * 信访件处理记录Service接口
 *
 * @author willalp
 * @date 2023-06-27
 */
public interface IHsLetterDisposeService extends IService<HsLetterDispose>
{
    /**
     * 查询信访件处理记录列表
     *
     * @param hsLetterDispose 信访件处理记录
     * @return 信访件处理记录集合
     */
    public List<HsLetterDispose> selectHsLetterDisposeList(HsLetterDispose hsLetterDispose);
}
