package com.willalp.wx.domain;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

@Data
@Component
public class WeChatProperties {
    /**
     * 微信公众号的appid
     */
    @Value("${wechat.appId}")
    private String appId;
    /**
     * 微信小程序的secret
     */
    @Value("${wechat.miniSecret}")
    private String secret;
    /**
     * 获取access_token的url
     */
    @Value("${wechat.accessUrl}")
    private String accessUrl;
    /**
     * 消息发送的id
     */
    @Value("${wechat.uniformSend}")
    private String uniformSend;
    /**
     * 微信小程序的appid
     */
    @Value("${wechat.miniAppId}")
    private String miniAppId;
    /**
     * 微信小程序跳转页面路径
     */
    @Value("${wechat.pagepath}")
    private String pagepath;

    /**
     * 获取token的定时任务corn
     */
    @Value("${wechat.corn}")
    private String corn;

}
