package com.willalp.wx.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.lang.reflect.Field;

/**
 * @desc: 微信推送消息类
 * @author: LiuChang
 * @since: 2022/7/25
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class WxMessageBeanApprovalPass {

    private MessageBean keyword1;

    private MessageBean keyword2;

    private MessageBean keyword3;

    public WxMessageBeanApprovalPass(String... keyword) {
        try {
            Class<? extends WxMessageBeanApprovalPass> aClass = this.getClass();
            Field[] fields = aClass.getDeclaredFields();
            for (String s : keyword) {
                for (Field field : fields) {
                    if ( null == field.get(this)) {
                        MessageBean messageBean = new MessageBean();
                        messageBean.setValue(s);
                        Field declaredField = aClass.getDeclaredField(field.getName());
                        declaredField.setAccessible(true);
                        declaredField.set(this, messageBean);
                        break;
                    }
                }
            }
        } catch (IllegalAccessException | NoSuchFieldException e) {
            e.printStackTrace();
        }
    }
}
