package com.willalp.wx.enums;

/**
 * 微信订阅消息模板ID
 *
 * @author Administratorl
 */

public enum WxTemplateKeyEnum {
    /** 审批结果通知 */
    APPROVAL_RESULT("审批结果通知", "RBmdG111iA67xFxeNBgsyHNWexnsz2n_Ec0t9odfCR0"),
    /** 审批结果通知 */
    APPROVAL_CC("审批结果通知", "RhRi7YOGGbVTtuUESJ9cN_Nzllt_DWphv6q7kKw-HsY"),
    /** 待审批通知 */
    APPROVAL_WAIT("待审批通知", "eZyIaAzWhzJUAm4ul04vzkAvsKYoJZX9foqp7gH_M2Q"),
    /** 预约订餐 */
    SUBSCRIBE("预约订餐", "Toomi1XWGMzNxOCoPX1rRNj7gLuykgszEzUstXaAp9c"),
    /** 预约订餐 */
    SALARY_STRIP("预约订餐", "Toomi1XWGMzNxOCoPX1rRNj7gLuykgszEzUstXaAp9c"),
    /** 工资条 */
    SALARY_SHEET("工资条", "DTCxRD7u7fmz2HoSu_W7Oz5aE99UbZ4NMe-zj3NJ5tw"),
    /** 取餐提醒 */
    TAKE_FOOD("取餐提醒", "88SU4FmQU0cwuJTwoddwyu6kr9Kq-PdfB6dT9-SlXaA"),
    /** 预订提醒 */
    APPOINTMENT("预订提醒", "76FWJYEGNoYT0XzGycTh-s6dJ7ETsK3-_r1xcvPWvaI"),
    /** 积分兑换成功通知 */
    INTEGRAL_EXCHANGE_SUCCESS("积分兑换成功通知", "RePTkCONObMLpLvcE58hbDqg7qQfugHelwpttBcyeZY"),
    /** 社团预约报名提醒 */
    CLUB_APPLY_WARN("社团预约报名提醒", "QLNKXFAoxgdInAwvHAkAutQ58Hu2PmNT_QaY0ImrjTo"),
    /** 服务进度提醒 */
    GENERAL_BEFORE_WARN("服务进度提醒", "PhBXenL89h8bdHBVw_2j1D-kzHv2izeAvzfz6JLQ0Po");

    private String value;
    private String label;

    WxTemplateKeyEnum(String label, String value) {
        this.label = label;
        this.value = value;
    }

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }
}
