/**
 * @projectName willalp-pns-business
 * @package com.willalp.service.domain.vo
 * @className com.willalp.service.domain.vo.UserShopCarJsonDoMainVo
 * @copyright Copyright 2019 HuiShan, Inc All rights reserved.
 */
package com.willalp.canteen.domain.vo;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;

/**
 * UserShopCarJsonDoMainVo
 * @description 用户购物车JSON数据实体伪类
 * @author hs
 * @date 2022/12/15 16:09
 * @version 1.0
 */
@Data
public class UserShopCarJsonDoMainVo {
    @JsonProperty("amount")
    private Integer amount;
    @JsonProperty("giftId")
    private String giftId;
    @JsonProperty("giftName")
    private String giftName;
    @JsonProperty("giftNumber")
    private String giftNumber;
    @JsonProperty("giftPictrue")
    private String giftPictrue;

    public Integer getAmount() {
        return amount;
    }

    public void setAmount(Integer amount) {
        this.amount = amount;
    }

    public String getGiftId() {
        return giftId;
    }

    public void setGiftId(String giftId) {
        this.giftId = giftId;
    }

    public String getGiftName() {
        return giftName;
    }

    public void setGiftName(String giftName) {
        this.giftName = giftName;
    }

    public String getGiftNumber() {
        return giftNumber;
    }

    public void setGiftNumber(String giftNumber) {
        this.giftNumber = giftNumber;
    }

    public String getGiftPictrue() {
        return giftPictrue;
    }

    public void setGiftPictrue(String giftPictrue) {
        this.giftPictrue = giftPictrue;
    }

    public Double getGiftPrice() {
        return giftPrice;
    }

    public void setGiftPrice(Double giftPrice) {
        this.giftPrice = giftPrice;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public Integer getPlusOrMinus() {
        return plusOrMinus;
    }

    public void setPlusOrMinus(Integer plusOrMinus) {
        this.plusOrMinus = plusOrMinus;
    }

    public String getEventId() {
        return eventId;
    }

    public void setEventId(String eventId) {
        this.eventId = eventId;
    }

    public String getEventName() {
        return eventName;
    }

    public void setEventName(String eventName) {
        this.eventName = eventName;
    }

    public String getEventTime() {
        return eventTime;
    }

    public void setEventTime(String eventTime) {
        this.eventTime = eventTime;
    }

    @JsonProperty("giftPrice")
    private Double giftPrice;
    @JsonProperty("num")
    private Integer num;
    @JsonProperty("plusOrMinus")
    private Integer plusOrMinus;
    @JsonProperty("eventId")
    private String eventId;
    @JsonProperty("eventName")
    private String eventName;
    @JsonProperty("eventTime")
    private String eventTime;
}
 