package com.willalp.device.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
import com.willalp.device.domain.HsDeviceScrapFlowRecord;

/**
 * 设备报废流程记录Mapper接口
 *
 * @author willalp
 * @date 2023-04-23
 */
public interface HsDeviceScrapFlowRecordMapper extends BaseMapper<HsDeviceScrapFlowRecord>
{
    /**
     * 查询设备报废流程记录列表
     *
     * @param hsDeviceScrapFlowRecord 设备报废流程记录
     * @return 设备报废流程记录集合
     */
    List<HsDeviceScrapFlowRecord> selectHsDeviceScrapFlowRecordList(HsDeviceScrapFlowRecord hsDeviceScrapFlowRecord);
}
