package com.willalp.event.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.event.domain.CondoleRecord;

import java.util.List;

/**
 * 慰问记录Service接口
 *
 * @author willalp
 * @date 2023-05-11
 */
public interface ICondoleReordService extends IService<CondoleRecord>
{
    /**
     * 查询慰问记录列表
     *
     * @param condoleRecord 慰问记录
     * @return 慰问记录集合
     */
    public List<CondoleRecord> selectCondoleReordList(CondoleRecord condoleRecord);
}
