package com.willalp.flow.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
import com.willalp.flow.domain.HsLetterDispose;

/**
 * 信访件处理记录Mapper接口
 *
 * @author willalp
 * @date 2023-06-27
 */
public interface HsLetterDisposeMapper extends BaseMapper<HsLetterDispose>
{
    /**
     * 查询信访件处理记录列表
     *
     * @param hsLetterDispose 信访件处理记录
     * @return 信访件处理记录集合
     */
    List<HsLetterDispose> selectHsLetterDisposeList(HsLetterDispose hsLetterDispose);
}
