package com.willalp.flow.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import java.util.List;
import com.willalp.flow.domain.HsPhoneApply;

/**
 * 手机号申请记录Mapper接口
 *
 * @author willalp
 * @date 2023-06-27
 */
public interface HsPhoneApplyMapper extends BaseMapper<HsPhoneApply>
{
    /**
     * 查询手机号申请记录列表
     *
     * @param hsPhoneApply 手机号申请记录
     * @return 手机号申请记录集合
     */
    List<HsPhoneApply> selectHsPhoneApplyList(HsPhoneApply hsPhoneApply);
}
