package com.willalp.flow.service;

import java.util.List;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.flow.domain.HsContractManage;

/**
 * 合同管理记录Service接口
 *
 * @author willalp
 * @date 2023-05-24
 */
public interface IHsContractManageService extends IService<HsContractManage> {

    /**
     * 查询合同管理记录列表
     *
     * @param hsContractManage 合同管理记录
     * @return 合同管理记录集合
     */
    List<HsContractManage> selectHsContractManageList(HsContractManage hsContractManage);

}
