package com.willalp.flow.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.flow.domain.HsPhoneApply;

/**
 * 手机号申请记录Service接口
 *
 * @author willalp
 * @date 2023-06-27
 */
public interface IHsPhoneApplyService extends IService<HsPhoneApply>
{
    /**
     * 查询手机号申请记录列表
     *
     * @param hsPhoneApply 手机号申请记录
     * @return 手机号申请记录集合
     */
    public List<HsPhoneApply> selectHsPhoneApplyList(HsPhoneApply hsPhoneApply);

    /**
     *
     * @param hsPhoneApply
     * @return
     */
    List<HsPhoneApply> exportData(HsPhoneApply hsPhoneApply);
}
