package com.willalp.flow.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.flow.domain.HsPurchaseFlowRecord;

/**
 * 采购流程记录Service接口
 *
 * @author willalp
 * @date 2023-04-23
 */
public interface IHsPurchaseFlowRecordService extends IService<HsPurchaseFlowRecord>
{
    /**
     * 查询采购流程记录列表
     *
     * @param hsPurchaseFlowRecord 采购流程记录
     * @return 采购流程记录集合
     */
    public List<HsPurchaseFlowRecord> selectHsPurchaseFlowRecordList(HsPurchaseFlowRecord hsPurchaseFlowRecord);
}
