package com.willalp.flow.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.willalp.flow.domain.HsUseSeal;

import java.util.List;

/**
 * 用章申请流程记录Service接口
 *
 * @author willalp
 * @date 2023-03-31
 */
public interface IHsUseSealService extends IService<HsUseSeal>
{



    /**
     * 查询用章申请流程记录列表
     *
     * @param hsUseSeal 用章申请流程记录
     * @return 用章申请流程记录集合
     */
    public List<HsUseSeal> selectHsUseSealList(HsUseSeal hsUseSeal);

    /**
     * 导出封装
     * @param hsUseSeal
     * @return
     */
    public List<HsUseSeal> exportHsUseSealList(HsUseSeal hsUseSeal);

}
