/**
 * @projectName willalp-pns-ml
 * @package com.willalp.erms.domain
 * @className com.willalp.erms.domain.vo.DeptStatVo
 * @copyright Copyright 2019 HuiShan, Inc All rights reserved.
 */
package com.willalp.erms.domain.vo;

import lombok.Data;

import java.util.Map;

/**
 * DeptStatVo
 * @description 按部门统计
 * @author hs
 * @date 2023/5/12 15:34
 * @version 1.0
 */
@Data
public class DeptStatListVo {
    public DeptStatListVo() {

    }

    public DeptStatListVo(String deptId,String deptName,Map<String,Double> map) {
        this.deptId = deptId;
        this.deptName = deptName;
        this.map = map;
    }

    private String deptId;

    private String deptName;

    private Map<String,Double> map;

    private double totalPrices;
}
 